"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _excludeVariablesFromRoot = _interopRequireDefault(require("./excludeVariablesFromRoot"));
var _default = theme => (colorScheme, css) => {
  if (theme.defaultColorScheme === colorScheme) {
    if (colorScheme === 'dark') {
      const excludedVariables = {};
      (0, _excludeVariablesFromRoot.default)(theme.cssVarPrefix).forEach(cssVar => {
        excludedVariables[cssVar] = css[cssVar];
        delete css[cssVar];
      });
      return {
        [`[${theme.attribute}="${String(colorScheme)}"]`]: excludedVariables,
        [theme.colorSchemeSelector]: css
      };
    }
    return `${theme.colorSchemeSelector}, [${theme.attribute}="${String(colorScheme)}"]`;
  }
  if (colorScheme) {
    return `[${theme.attribute}="${String(colorScheme)}"]`;
  }
  return theme.colorSchemeSelector;
};
exports.default = _default;