import excludeVariablesFromRoot from './excludeVariablesFromRoot';
export default (theme => (colorScheme, css) => {
  if (theme.defaultColorScheme === colorScheme) {
    if (colorScheme === 'dark') {
      const excludedVariables = {};
      excludeVariablesFromRoot(theme.cssVarPrefix).forEach(cssVar => {
        excludedVariables[cssVar] = css[cssVar];
        delete css[cssVar];
      });
      return {
        [`[${theme.attribute}="${String(colorScheme)}"]`]: excludedVariables,
        [theme.colorSchemeSelector]: css
      };
    }
    return `${theme.colorSchemeSelector}, [${theme.attribute}="${String(colorScheme)}"]`;
  }
  if (colorScheme) {
    return `[${theme.attribute}="${String(colorScheme)}"]`;
  }
  return theme.colorSchemeSelector;
});